Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 502902 - Register a machine w/ kernel xen running w/o package xen installed results in error
Summary: Register a machine w/ kernel xen running w/o package xen installed results in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Šimon Lukašík
URL: na
Whiteboard: Fixed in the 5.4.0 Release - GA'd 201...
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2009-05-27 17:28 UTC by wes hayutin
Modified: 2010-10-28 15:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 15:02:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description wes hayutin 2009-05-27 17:28:28 UTC
Description of problem:

5/21.1

Register a machine w/ kernel xen running w/o package xen installed results in error


recreate

1. on a rhel 5U3 virt capable box (rlx)
2. install kernel-xen, and boot into the xen kernel
3. make sure the package "xen" is *not* install on the machine
4. register the box to satellite..

get error..

Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 266, in ?
    cli.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhnreg_ks", line 188, in main
    rhnreg.sendVirtInfo(systemId)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 653, in sendVirtInfo
    support.refresh()
  File "/usr/share/rhn/virtualization/support.py", line 64, in refresh
    domain_list = domains.values()
exceptions.AttributeError: 'list' object has no attribute 'values'

[Wed May 27 17:20:53 2009] up2date Updating package profile
(END)

Comment 2 Brandon Perkins 2009-05-28 19:23:18 UTC
This is a RHEL RHN Client Tools bug, not a Satellite bug.  Realigning.

Comment 3 Pradeep Kilambi 2009-05-28 19:45:24 UTC
This is not a client bug. guest domain refresh happens as part of rhn-virtualization package which is part of the tools channel. rhnreg_ks jus makes a call to support.refresh. Its up to support.refresh to return the domains after acquiring the  connection to libvirt.

Comment 6 Šimon Lukašík 2010-10-05 13:50:07 UTC
QA: Changing to VERIFIED:

Testing procedure:
Reproducer from comment 0. And rhn-profile-sync

Verified against:
Satellite-5.4.0-RHEL5-re20101001.1

Comment 7 Clifford Perry 2010-10-28 15:02:28 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.